@import 'style/theme.variables.scss';

.home {
  display: flex;
  flex-direction: column;
  height: 100%;

  font-size: 2rem;
}

.main {
  display: flex;
  align-items: center;
  justify-content: center;

  flex: none;

  padding: 4rem;

  color: white;
  background-color: $primary-color;
}

.logo {
  height: 12rem;

  margin-right: 4rem;
}

.colorContainer {
  display: flex;
  align-items: center;
}

.colorText {
  vertical-align: top;
}

.color {
  width: 2.5rem;
  height: 2.5rem;
  border-radius: 2.5rem;

  display: inline-block;

  margin-right: 1rem;
}

.pageContainer {
  padding: 6rem 2rem;
  display: flex;
  flex-direction: column;
}

.pageContent {
  width: 100%;
  max-width: 1000px;
  min-width: 500px;
  margin: auto;

  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(450px, 1fr));
  gap: 4rem 2rem;
}

.languageSelector {
  display: inline-flex;
  align-items: center;

  > select {
    padding: 0.25rem 0.5rem;
    font-size: 2rem;

    margin-left: 1rem;
  }
}

.user {
  display: flex;
  align-items: center;

  margin-top: 1rem;

  .name {
    margin-left: 1rem;
    line-height: 1;

    .firstName {
      font-weight: 600;
    }

    .lastName {
      text-transform: uppercase;
    }
  }
}

.documentation {
  > * + * {
    margin-top: 1rem;
  }
}
